declare const _default: typeof __VLS_export;
export default _default;
declare const __VLS_export: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    option: {
        type: ObjectConstructor;
        required: true;
    };
    first: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    delete: (...args: any[]) => void;
    "update:option": (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    option: {
        type: ObjectConstructor;
        required: true;
    };
    first: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{
    onDelete?: (...args: any[]) => any;
    "onUpdate:option"?: (...args: any[]) => any;
}>, {
    first: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
